Implementation of the 'image' markup element. An img HTML element is created and the given attributes src, alt, with and height are taken over. The class lto-image is added to allow CSS manipulations.

see

  IRenderable

### Hierarchy

- Image

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Image(spec: ISpecification): Image

- - Defined in lib/renderable/image/index.ts:14

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Image

## Properties

### Private spec

spec: ISpecification

- Defined in lib/renderable/image/index.ts:14

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/image/index.ts:23

  Renders an element

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

Generated using TypeDoc